/* font */
@font-face {
    font-family: "Retropix";
    src: url("fonts/retropix.otf") format("truetype");
  }
  
/* Background/Body */
  body {
    margin: 0;
    font-family: "Retropix", sans-serif;
    background-image: url("bg.png");
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
  }
  
  :root {
    --silver-light: #f7f7f7;
    --silver: #bfc5c9;
    --silver-dark: #70777d;
    --cyan: #5de2e8;
    --cyan-dark: #22aab5;
    --black: #101010;
    --glass: rgba(255, 255, 255, 0.25);
  }
  
  * {
    box-sizing: border-box;
  }
  
  /* =====================
     PAGE
  ===================== */
  
  .page {
    width: 1100px;
    margin: 30px auto;
    position: relative;
  }
  
  /* =====================
     normal box
  ===================== */
  .bg_box {
    background: linear-gradient(#14232a, #14232a) padding-box,
                linear-gradient(135deg, #eeeeee, #777777, #eeeeee) border-box;
    border: 4px solid transparent;
    border-radius: 18px;
  
    box-shadow:
      inset 0 2px 5px rgba(255,255,255,0.8),
      inset 0 -5px 10px rgba(0,0,0,0.25),
      0 8px 20px rgba(0,0,0,0.25);
  }
  /* =====================
     METAL EFFECT
  ===================== */
  .metal {
    background: linear-gradient(
      135deg,
      #ffffff 0%,
      #ced0d1 15%,
      #777d81 35%,
      #e4e2e2 50%,
      #868c91 70%,
      #ffffff 100%
    );
    border: 4px solid transparent;
    border-radius: 18px;
    background-clip: padding-box;
    box-shadow: inset 0 2px 5px rgba(255, 255, 255, 0.8),
      inset 0 -5px 10px rgba(0, 0, 0, 0.25), 0 8px 20px rgba(0, 0, 0, 0.25);
    position: relative;
    font-style: var(--black);
  }

  

.metal::before {

    content:"";

    position:absolute;

    inset:0;

    border-radius: inherit;

    padding:4px;


    background:
    linear-gradient(
        120deg,
        white,
        #646464,
        rgb(235, 234, 234),
        #494949
    );


    mask:
    linear-gradient(#000 0 0) content-box,
    linear-gradient(#000 0 0);


    mask-composite: exclude;

    pointer-events:none;

}
  /* =====================4
     HEADER
  ===================== */
  
  .header {
    height: 120px;
    display: grid;
    grid-template-columns: 1fr 1fr 250px;
    align-items: center;
    padding: 25px;
    margin-bottom: 30px;
  }
  
  .logo {
    font-size: 70px;
    font-weight: 900;
    letter-spacing: 8px;
  }
  
  .header-middle {
    display: flex;
    justify-content: center;
  }
  
  .header-middle img {
    width: 170px;
  }
  
  .header-right {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 15px;
  }
  
  
  .cat {
    width: 120px;
  }
  
  
  /* =====================
     Container
  ===================== */
  .window { 
    position: relative;
    background-color: rgba(52, 230, 221, 0.404); 
    color: white; 
    border-radius: 12px; 
    border: 1px solid rgba(255, 255, 255, 0.2); 
    backdrop-filter: blur(6px);
    padding: 24px;
}
  
    /* oben */
  .window::before {
    content: "";
    position: absolute;

    top: -16px;
    left: 0;

    width: 100%;
    height: 32px;

    background-image: url("images/pearl.png");
    background-repeat: repeat-x;
    background-size: 32px 32px;
  }


  /* unten */
  .window::after {
    content: "";
    position: absolute;

    bottom: -16px;
    left: 0;

    width: 100%;
    height: 32px;

    background-image: url("images/pearl.png");
    background-repeat: repeat-x;
    background-size: 32px 32px;
  }


    .pearl-left {
      position: absolute;

      top: 0;
      left: -16px;

      width: 32px;
      height: 100%;

      background-image: url("images/pearl.png");
      background-repeat: repeat-y;
      background-size: 32px 32px;
  }


  .pearl-right {
      position: absolute;

      top: 0;
      right: -16px;

      width: 32px;
      height: 100%;

      background-image: url("images/pearl.png");
      background-repeat: repeat-y;
      background-size: 32px 32px;
  }
  /* =====================
     MAIN GRID
  ===================== */
  
  .main-layout {
    display: grid;
  
    grid-template-columns: 280px 1fr;
  
    gap: 30px;
  }
  
  /* =====================
     SIDEBAR
  ===================== */
  
  .sidebar {
    display: flex;
  
    flex-direction: column;
  
    gap: 25px;
  }
  
  .music {
    height: 330px;
  
    display: flex;
  
    flex-direction: column;
  
    align-items: center;
  
    justify-content: center;
  
    overflow: hidden;
  }
  
  .flowers {
    width: 100px;
  
    position: absolute;
  
    top: -20px;
  
    left: -20px;
  }
  
  .vinyl {
    width: 160px;
  
    animation: spin 8s linear infinite;
  }
  
  @keyframes spin {
    from {
      transform: rotate(0deg);
    }
  
    to {
      transform: rotate(360deg);
    }
  }
  
  .playing {
    margin-top: 20px;
    text-align: center;
    font-size: 20x;
  }
  
  .currently {
    padding: 20px;
  }
  
  .currently h2 {
    text-align: center;
  
    font-size: 20px;
  }
  
  .currently ul {
    list-style: none;
  
    padding: 0;
  }
  
  .currently li {
    background: white;
    color: black;
    margin: 8px 0;
  
    padding: 8px;
  
    border-radius: 10px;
  }
  
  /* =====================
     CONTENT
  ===================== */
  
  .blog-announcements {
    color: black;
    padding: 12px;
    text-align: center;
    }
  
  .blog-card {
    min-height: 130px;
    margin-bottom: 25px;
    padding: 25px;
  
    display: flex;
  
    justify-content: space-between;
  
    align-items: center;
  
    text-decoration: none;
  
    color: black;
  
    transition: 0.3s;
  }
  
  .blog-card:hover {
    transform: translateY(-5px) rotate(-1deg);
  }
  
  .news-text h2 {
    margin: 0 0 10px;
  
    font-size: 25px;
  }
  
  .news-text p {
    max-width: 500px;
  }
  
  /* =====================
     ARROW
  ===================== */
  
  .arrow {
    font-size: 50px;
  
    font-weight: bold;
  }
  
  /* =====================
     ICON GRID
  ===================== */
  
  .icon-grid {
    margin-top: 40px;
  
    display: grid;
  
    grid-template-columns: repeat(4, 1fr);
  
    gap: 20px;
  }
  
  .icon-card {
    height: 130px;
  
    display: flex;
  
    align-items: center;
  
    justify-content: center;
  
    transition: 0.25s;
  }
  
  .icon-card img {
    max-width: 80%;
  
    max-height: 80%;
  }
  
  .icon-card:hover {
    transform: scale(1.08) rotate(4deg);
  }
  
  /* =====================
     PEARLS PLACEHOLDER
  ===================== */
  
  .pearls {
    position: absolute;
  
    pointer-events: none;
  }
  
  .pearls.top {
    top: -20px;
  
    left: 100px;
  }
  
  .pearls.left {
    left: -30px;
  
    top: 300px;
  }
  
  .pearls.right {
    right: -30px;
  
    top: 500px;
  }
  
  /* =====================
     STARS
  ===================== */
  
  .star {
    position: absolute;
  
    width: 80px;
  }
  
  .star1 {
    top: 200px;
  
    left: -80px;
  }
  
  .star2 {
    right: -70px;
  
    top: 100px;
  }
  
  .star3 {
    right: 100px;
  
    bottom: -100px;
  }
  
  /* =====================
     MOBILE
  ===================== */
  
  @media (max-width: 900px) {
    .page {
      width: 95%;
    }
  
    .header {
      grid-template-columns: 1fr;
  
      height: auto;
  
      gap: 20px;
  
      text-align: center;
    }
  
    .main-layout {
      grid-template-columns: 1fr;
    }
  
    .icon-grid {
      grid-template-columns: repeat(2, 1fr);
    }
  }
  


  .music-box {

    width: 280px;

    padding: 15px;

    background:
    linear-gradient(
        135deg,
        #222,
        #666,
        #222
    );

    border: 3px solid;

    border-color:
    #ffffff
    #777
    #333
    #bbbbbb;

    box-shadow:
    inset 0 0 15px #aaa,
    0 0 10px black;

    font-family: "Retropix", monospace;

    color: black;

}


/* Überschrift */

.music-title {

    text-align:center;

    font-size:18px;

    margin-bottom:12px;

    color:black;

    text-shadow:
    1px 1px white;

}


/* Inhalt */

.music-content {

    display:flex;

    gap:15px;

    align-items:center;

}


/* Album Bild */

#cover {

    width:80px;
    height:80px;

    object-fit:cover;

    border:2px solid silver;

    box-shadow:
    inset 0 0 5px white,
    0 0 5px black;

}


/* Songname */

#song {

    font-size:14px;

    font-weight:bold;

    max-width:150px;

    overflow:hidden;

    text-overflow:ellipsis;

}


/* Artist */

#artist {
    margin-top:8px;
    font-size:12px;
}


.currently-font {
  color: black;
  padding: 8px 12px;
  text-align: center;
  margin: 0;
}

.currently-tab {
  margin: -24px -24px 0 -24px;
  border-radius: 18px 18px 12px 12px;
}

.currently .metal {
  border: none;
  border-radius: 14px 14px 0 0;
  margin: -24px -24px 0 -24px;
}

.currently .metal::before {
  display: none;
}